### Virtual Method

# Foundry DocumentationProvider index

#### Declaration [src]

    DexFuture*
    index (
      FoundryDocumentationProvider* self,
      GListModel* roots
    )

#### Description [src]

This method is called when the documentation provider should rescan the provided roots for changes.

#### Parameters

`roots`

  Type: `GObject`

  A `GListModel` of `FoundryDocumentationRoot`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.